"""
    File for setting the URLs used from the api_auth django app.
"""

### TOKEN
from rest_framework_simplejwt.views import TokenObtainPairView, TokenRefreshView

### LOGIN
from django.contrib.auth import views as auth_views

from django.urls import path
from . import views


urlpatterns = [
    path('test/open', views.TestOpenView.as_view(), name='test-open'),
    path('test/closed', views.TestClosedView.as_view(), name='test-closed'),
    path('login/', auth_views.LoginView.as_view(template_name='login.html'), name='login'),
    path('logout/', views.custom_logout, name='logout'),
    path("token/", TokenObtainPairView.as_view(), name='token_obtain_pair'),
    path("token/refresh/", TokenRefreshView.as_view(), name='token_refresh'),
]
